Subscriptions - Create
Create a subscription.
POST https://dev.azure.com/{organization}/_apis/hooks/subscriptions?api-version=5.0
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
|
The name of the Azure DevOps organization. |
|
api-version
|
query | True |
|
Version of the API to use. This should be set to '5.0' to use this version of the api. |
Request Body
| Name | Type | Description |
|---|---|---|
| _links |
Reference Links |
|
| actionDescription |
|
|
| consumerActionId |
|
|
| consumerId |
|
|
| consumerInputs |
|
Consumer input values |
| createdBy | ||
| createdDate |
|
|
| eventDescription |
|
|
| eventType |
|
|
| id |
|
|
| modifiedBy | ||
| modifiedDate |
|
|
| probationRetries |
|
|
| publisherId |
|
|
| publisherInputs |
|
Publisher input values |
| resourceVersion |
|
|
| status | ||
| subscriber | ||
| url |
|
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
accessToken
Personal access token. Use any value for the user name and the token as the password.
Type:
basic
Examples
Sample Request
POST https://dev.azure.com/fabrikam/_apis/hooks/subscriptions?api-version=5.0
{
"publisherId": "tfs",
"eventType": "build.complete",
"resourceVersion": "1.0-preview.1",
"consumerId": "webHooks",
"consumerActionId": "httpRequest",
"publisherInputs": {
"buildStatus": "Failed",
"definitionName": "MyWebSite CI",
"projectId": "6ce954b1-ce1f-45d1-b94d-e6bf2464ba2c"
},
"consumerInputs": {
"url": "https://myservice/newreceiver"
}
}
Sample Response
{
"id": "fd672255-8b6b-4769-9260-beea83d752ce",
"url": "https://dev.azure.com/fabrikam/_apis/hooks/subscriptions/fd672255-8b6b-4769-9260-beea83d752ce",
"publisherId": "tfs",
"eventType": "build.complete",
"resourceVersion": "1.0-preview.1",
"eventDescription": "Build MyWebSite CI, status Failed",
"consumerId": "webHooks",
"consumerActionId": "httpRequest",
"actionDescription": "To host myservice",
"createdBy": {
"id": "00ca946b-2fe9-4f2a-ae2f-40d5c48001bc"
},
"createdDate": "2014-10-27T15:37:24.873Z",
"modifiedBy": {
"id": "00ca946b-2fe9-4f2a-ae2f-40d5c48001bc"
},
"modifiedDate": "2014-10-27T15:37:26.23Z",
"publisherInputs": {
"buildStatus": "Failed",
"definitionName": "MyWebSite CI",
"hostId": "d81542e4-cdfa-4333-b082-1ae2d6c3ad16",
"projectId": "6ce954b1-ce1f-45d1-b94d-e6bf2464ba2c",
"tfsSubscriptionId": "3e8b33e7-426d-4c92-9bf9-58e163dd7dd5"
},
"consumerInputs": {
"url": "https://myservice/newreceiver"
}
}
Definitions
|
Identity |
|
|
Reference |
The class to represent a collection of REST reference links. |
| Subscription |
Encapsulates an event subscription. |
|
Subscription |
IdentityRef
| Name | Type | Description |
|---|---|---|
| _links |
This field contains zero or more interesting links about the graph subject. These links may be invoked to obtain additional relationships or more detailed information about this graph subject. |
|
| descriptor |
|
The descriptor is the primary way to reference the graph subject while the system is running. This field will uniquely identify the same graph subject across both Accounts and Organizations. |
| directoryAlias |
|
|
| displayName |
|
This is the non-unique display name of the graph subject. To change this field, you must alter its value in the source provider. |
| id |
|
|
| imageUrl |
|
|
| inactive |
|
|
| isAadIdentity |
|
|
| isContainer |
|
|
| isDeletedInOrigin |
|
|
| profileUrl |
|
|
| uniqueName |
|
|
| url |
|
This url is the full route to the source resource of this graph subject. |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
|
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |
Subscription
Encapsulates an event subscription.
| Name | Type | Description |
|---|---|---|
| _links |
Reference Links |
|
| actionDescription |
|
|
| consumerActionId |
|
|
| consumerId |
|
|
| consumerInputs |
|
Consumer input values |
| createdBy | ||
| createdDate |
|
|
| eventDescription |
|
|
| eventType |
|
|
| id |
|
|
| modifiedBy | ||
| modifiedDate |
|
|
| probationRetries |
|
|
| publisherId |
|
|
| publisherInputs |
|
Publisher input values |
| resourceVersion |
|
|
| status | ||
| subscriber | ||
| url |
|
SubscriptionStatus
| Name | Type | Description |
|---|---|---|
| disabledByInactiveIdentity |
|
The subscription is disabled because the owner is inactive or is missing permissions. |
| disabledBySystem |
|
The subscription is disabled by the system. |
| disabledByUser |
|
The subscription is disabled by a user. |
| enabled |
|
The subscription is enabled. |
| onProbation |
|
The subscription is temporarily on probation by the system. |